# Uses of Interface
org.springframework.http.client.ClientHttpRequestFactory

Packages that use ClientHttpRequestFactory
Package
Description
org.springframework.http.client
Contains an abstraction over client-side HTTP.
org.springframework.http.client.support
This package provides generic HTTP support classes, to be used by higher-level classes like RestTemplate.
org.springframework.web.client
Core package of the client-side web support.
org.springframework.web.client.support
Classes supporting the `org.springframework.web.client` package.

## Uses of ClientHttpRequestFactory in org.springframework.http.client

Classes in org.springframework.http.client that implement ClientHttpRequestFactory
Modifier and Type
Class
Description
`class`
`AbstractClientHttpRequestFactoryWrapper`
Abstract base class for `ClientHttpRequestFactory` implementations that decorate another delegate request factory.
`class`
`BufferingClientHttpRequestFactory`
Wrapper for a `ClientHttpRequestFactory` that buffers all outgoing and incoming streams in memory.
`class`
`HttpComponentsClientHttpRequestFactory`
`ClientHttpRequestFactory` implementation that uses Apache HttpComponents HttpClient to create requests.
`class`
`InterceptingClientHttpRequestFactory`
`ClientHttpRequestFactory` wrapper with support for `ClientHttpRequestInterceptors`.
`class`
`JdkClientHttpRequestFactory`
`ClientHttpRequestFactory` implementation based on the Java `HttpClient`.
`class`
`JettyClientHttpRequestFactory`
`ClientHttpRequestFactory` implementation based on Jetty's `HttpClient`.
`class`
`OkHttp3ClientHttpRequestFactory`
Deprecated, for removal: This API element is subject to removal in a future version.
since 6.1, in favor of other `ClientHttpRequestFactory` implementations; scheduled for removal in 7.0
`class`
`ReactorClientHttpRequestFactory`
Reactor-Netty implementation of `ClientHttpRequestFactory`.
`class`
`ReactorNettyClientRequestFactory`
Deprecated, for removal: This API element is subject to removal in a future version.
in favor of the renamed `ReactorClientHttpRequestFactory`
`class`
`SimpleClientHttpRequestFactory`
`ClientHttpRequestFactory` implementation that uses standard JDK facilities.
Methods in org.springframework.http.client that return ClientHttpRequestFactory
Modifier and Type
Method
Description
`ClientHttpRequestFactory`
AbstractClientHttpRequestFactoryWrapper.`getDelegate()`
Return the delegate request factory.
Methods in org.springframework.http.client with parameters of type ClientHttpRequestFactory
Modifier and Type
Method
Description
`protected abstract ClientHttpRequest`
AbstractClientHttpRequestFactoryWrapper.`createRequest(URI uri, HttpMethod httpMethod, ClientHttpRequestFactory requestFactory)`
Create a new `ClientHttpRequest` for the specified URI and HTTP method by using the passed-on request factory.
`protected ClientHttpRequest`
BufferingClientHttpRequestFactory.`createRequest(URI uri, HttpMethod httpMethod, ClientHttpRequestFactory requestFactory)`
`protected ClientHttpRequest`
InterceptingClientHttpRequestFactory.`createRequest(URI uri, HttpMethod httpMethod, ClientHttpRequestFactory requestFactory)`
Constructors in org.springframework.http.client with parameters of type ClientHttpRequestFactory
Modifier
Constructor
Description
`protected`
`AbstractClientHttpRequestFactoryWrapper(ClientHttpRequestFactory requestFactory)`
Create a `AbstractClientHttpRequestFactoryWrapper` wrapping the given request factory.
``
`BufferingClientHttpRequestFactory(ClientHttpRequestFactory requestFactory)`
Create a buffering wrapper for the given `ClientHttpRequestFactory`.
``
`InterceptingClientHttpRequestFactory(ClientHttpRequestFactory requestFactory, List<ClientHttpRequestInterceptor> interceptors)`
Create a new instance of the `InterceptingClientHttpRequestFactory` with the given parameters.

## Uses of ClientHttpRequestFactory in org.springframework.http.client.support

Methods in org.springframework.http.client.support that return ClientHttpRequestFactory
Modifier and Type
Method
Description
`ClientHttpRequestFactory`
HttpAccessor.`getRequestFactory()`
Return the request factory that this accessor uses for obtaining client request handles.
`ClientHttpRequestFactory`
InterceptingHttpAccessor.`getRequestFactory()`
Overridden to expose an `InterceptingClientHttpRequestFactory` if necessary.
Methods in org.springframework.http.client.support with parameters of type ClientHttpRequestFactory
Modifier and Type
Method
Description
`void`
HttpAccessor.`setRequestFactory(ClientHttpRequestFactory requestFactory)`
Set the request factory that this accessor uses for obtaining client request handles.
`void`
InterceptingHttpAccessor.`setRequestFactory(ClientHttpRequestFactory requestFactory)`

## Uses of ClientHttpRequestFactory in org.springframework.web.client

Methods in org.springframework.web.client with parameters of type ClientHttpRequestFactory
Modifier and Type
Method
Description
`RestClient.Builder`
RestClient.Builder.`requestFactory(ClientHttpRequestFactory requestFactory)`
Configure the `ClientHttpRequestFactory` to use.
Constructors in org.springframework.web.client with parameters of type ClientHttpRequestFactory
Modifier
Constructor
Description
``
`RestTemplate(ClientHttpRequestFactory requestFactory)`
Create a new instance with the given `ClientHttpRequestFactory`.

## Uses of ClientHttpRequestFactory in org.springframework.web.client.support

Constructors in org.springframework.web.client.support with parameters of type ClientHttpRequestFactory
Modifier
Constructor
Description
``
`RestGatewaySupport(ClientHttpRequestFactory requestFactory)`
Construct a new instance of the `RestGatewaySupport`, with the given `ClientHttpRequestFactory`.